## org.hsqldb.jdbc
Class JDBCSavepoint

    java.lang.Object
      org.hsqldb.jdbc.JDBCSavepoint

All Implemented Interfaces:
  Savepoint

    public class JDBCSavepoint

extends Object
implements Savepoint

The representation of a savepoint, which is a point within the current transaction that can be referenced from the `Connection.rollback` method. When a transaction is rolled back to a savepoint all changes made after that savepoint are undone.

Savepoints can be either named or unnamed. Unnamed savepoints are identified by an ID generated by the underlying data source.

### HSQLDB-Specific Information:

SQL 2003 standard does not support unnamed savepoints. However, this feature is supported from version 2.0.

If the connection is autoCommit, setting savepoints has no effect as any such savepoint is cleared upon the execution of the first transactional statement.

Since:
  JDK 1.4, HSQLDB 1.7.2
Author:
  boucherb@users

Method Summary
`int` `getSavepointId()` Retrieves the generated ID for the savepoint that this `Savepoint` object represents.
`String` `getSavepointName()` Retrieves the name of the savepoint that this `Savepoint` object represents.
`String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSavepointId

    public int getSavepointId()
                       throws SQLException

  Retrieves the generated ID for the savepoint that this `Savepoint` object represents.

  Specified by:
    `getSavepointId` in interface `Savepoint`
  Returns:
    the numeric ID of this savepoint
  Throws:
    `SQLException` - if this is a named savepoint
  Since:
    1.4

### getSavepointName

    public String getSavepointName()
                            throws SQLException

  Retrieves the name of the savepoint that this `Savepoint` object represents.

  Specified by:
    `getSavepointName` in interface `Savepoint`
  Returns:
    the name of this savepoint
  Throws:
    `SQLException` - if this is an un-named savepoint
  Since:
    1.4

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001 - 2013 HSQL Development Group.